summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Didier Spaier <didier~at~slint~dot~fr>2016-11-16 19:03:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-16 19:03:34 +0700
commit78b81336b55879fd0b935667ce9b850563a39068 (patch)
treec531d79810c15da2741a7888d9c08c40591620d2 /system
parentf2ec9b25c7074cd81bf5545a9a37ebd8b49820ee (diff)
downloadslackbuilds-78b81336b55879fd0b935667ce9b850563a39068.tar.gz
slackbuilds-78b81336b55879fd0b935667ce9b850563a39068.tar.xz
system/qControlCenter: Added (Easy to customize Control Center).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/qControlCenter/README16
-rw-r--r--system/qControlCenter/doinst.sh3
-rw-r--r--system/qControlCenter/qControlCenter.SlackBuild68
-rw-r--r--system/qControlCenter/qControlCenter.info10
-rw-r--r--system/qControlCenter/qcontrolcenter.desktop10
-rw-r--r--system/qControlCenter/slack-desc19
6 files changed, 126 insertions, 0 deletions
diff --git a/system/qControlCenter/README b/system/qControlCenter/README
new file mode 100644
index 0000000000..5f09fd13ba
--- /dev/null
+++ b/system/qControlCenter/README
@@ -0,0 +1,16 @@
+qControlCenter (Easily customized Control Center)
+
+qControlCenter has been written initially by Thierry Deseez.
+
+qControlCenter lets you easily and quickly build a control center for
+your distribution.
+
+This can be useful if you don't like the control center of your
+distribution, or if you distribution doesn't have any.
+
+For ControlCenter to be of any use, you need to provide a base structure
+containing .desktop files. After installation start qControlCenter,
+click on the "i" button on the bottom right of the screen then on the
+Instructions tab.
+
+Or just read /usr/doc/qControlCenter-<version>/INSTRUCTIONS.txt.
diff --git a/system/qControlCenter/doinst.sh b/system/qControlCenter/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/qControlCenter/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/qControlCenter/qControlCenter.SlackBuild b/system/qControlCenter/qControlCenter.SlackBuild
new file mode 100644
index 0000000000..6b0eb81a6b
--- /dev/null
+++ b/system/qControlCenter/qControlCenter.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# This script creates a Slackware package for qControlCenter
+
+# Copyright 2016 Didier Spaier, Paris, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qControlCenter
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/usr/share/{applications,qcontrolcenter} \
+ $PKG/usr/bin
+
+cp qcontrolcenter/qcontrolcenter.py $PKG/usr/bin/qcontrolcenter
+cp qcontrolcenter/helpDialog.py $PKG/usr/bin
+chmod -R 755 $PKG/usr/bin
+
+cp $CWD/${PRGNAM}.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+mv qcontrolcenter/data/{INSTRUCTIONS.txt,LICENSE.html} $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r qcontrolcenter/icons $PKG/usr/share/qcontrolcenter
+cp $CWD/*.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/qControlCenter/qControlCenter.info b/system/qControlCenter/qControlCenter.info
new file mode 100644
index 0000000000..9e41781177
--- /dev/null
+++ b/system/qControlCenter/qControlCenter.info
@@ -0,0 +1,10 @@
+PRGNAM="qControlCenter"
+VERSION="0.2"
+HOMEPAGE="https://github.com/DidierSpaier/qControlCenter"
+DOWNLOAD="https://github.com/DidierSpaier/qControlCenter/archive/v0.2/qControlCenter-0.2.tar.gz"
+MD5SUM="110e6abc5c242a9b6f0bab76ef3fa2e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Didier Spaier"
+EMAIL="didier~at~slint~dot~fr"
diff --git a/system/qControlCenter/qcontrolcenter.desktop b/system/qControlCenter/qcontrolcenter.desktop
new file mode 100644
index 0000000000..6f993b6d1d
--- /dev/null
+++ b/system/qControlCenter/qcontrolcenter.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=q Control Center
+Type=Application
+Comment=The Q Control Center
+Terminal=false
+Exec=qcontrolcenter
+Icon=applications-internet
+Categories=Settings;
+GenericName=Q Control Center
diff --git a/system/qControlCenter/slack-desc b/system/qControlCenter/slack-desc
new file mode 100644
index 0000000000..808af71b15
--- /dev/null
+++ b/system/qControlCenter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qControlCenter: qControlCenter (Easy to customize Control Center)
+qControlCenter:
+qControlCenter: qControlCenter has been written initially by Thierry Deseez.
+qControlCenter:
+qControlCenter: qControlCenter lets you easily and quickly build a control
+qControlCenter: center for your distribution.
+qControlCenter:
+qControlCenter: This can be useful if you don't like the control center of your
+qControlCenter: distribution, or if you distribution doesn't have any.
+qControlCenter:
+qControlCenter: